> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caret.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Zapier Webhook追加

> ワークスペースに新しいZapier Webhook URLを登録します

## 概要

このエンドポイントは、ワークスペースに新しいZapier Webhook URLを登録します。登録後、Caretは新しいミーティングが作成されるたびにこのURLに通知を送信します。

これは主にCaret Zapier連携で「Instant」トリガーを設定するために使用されます。

## 認証

すべてのAPIリクエストは `Authorization: Bearer <API_KEY>` で認証します。

<ParamField header="Authorization" type="string" required>
  Bearerトークン。形式: `Bearer <API_KEY>`。
</ParamField>

## Body

<ParamField body="hookUrl" type="string" required>
  通知を送信するZapierが提供するWebhook
  URL。`https://`で始まる有効なURLである必要があります。
</ParamField>

## レスポンス

<ResponseField name="status" type="string">
  操作の結果を示します。Webhookが登録された場合は常に`success`。
</ResponseField>

<RequestExample>
  ```bash curl theme={null}

  curl -X POST "https://api.caret.so/v1/integrations/zapier/webhook" \
       -H "Authorization: Bearer your_api_key_here" \
       -H "Content-Type: application/json" \
       -d '{
         "hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
       }'

  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.caret.so/v1/integrations/zapier/webhook',
    {
      method: 'POST',
      headers: {
        Authorization: 'Bearer your_api_key_here',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
      }),
    },
  );

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.caret.so/v1/integrations/zapier/webhook"
  headers = {
      "Authorization": "Bearer your_api_key_here",
      "Content-Type": "application/json"
  }
  data = {
      "hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
  }

  response = requests.post(url, headers=headers, json=data)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "status": "success"
  }
  ```
</ResponseExample>
